Package org.apache.tomcat.util.collections

## Class ConcurrentCache<K,​V>

- java.lang.Object
- - org.apache.tomcat.util.collections.ConcurrentCache<K,​V>

    public final class ConcurrentCache<K,​V>
    extends Object

### Constructor Summary

Constructors
`ConcurrentCache​(int size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`V` `get​(K k)`
`void` `put​(K k, V v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcurrentCache

    public ConcurrentCache​(int size)

### Method Detail

#### get

    public V get​(K k)

#### put

    public void put​(K k,
                    V v)